Index Page ekuef_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void ekuef_c ( SpiceInt handle )

#### Abstract

       Unload an EK file, making its contents inaccessible to the
       EK reader routines, and clearing space in order to allow other
       EK files to be loaded.

#### Required_Reading

       EK

#### Keywords

       EK
       FILES

#### Brief_I/O

       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     I   Handle of EK file.

#### Detailed_Input

       handle         is a file handle returned by eklef_c.

#### Detailed_Output

       None.  See $Particulars for a description of the effect of this
       routine.

#### Parameters

       None.

#### Exceptions

       1)  Unloading a file that is not loaded has no effect.

#### Files

       This routine unloads a binary EK file from the EK query system.

#### Particulars

       This routine removes information about an EK file from the
       EK system, freeing space to increase the number of other EK
       files that can be loaded.  The file is also unloaded from
       the DAS system and closed.

#### Examples

       1)  Load 25 EK files sequentially, unloading the previous file
           before each new file is loaded.  Unloading files prevents
           them from being searched during query execution.

              for ( i = 0;  i < 25;  i++ )
              {
                 eklef_c ( ek[i], &handle );

                 [Perform queries]

                 ekuef_c ( handle );
              }

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman   (JPL)

#### Version

       -CSPICE Version 1.0.0, 26-JUL-1998 (NJB)

          Based on SPICELIB Version 1.0.1, 07-JUL-1996 (NJB)

#### Index_Entries

       unload EK file

#### Link to routine ekuef_c source file ekuef_c.c

    Wed Apr  5 17:54:34 2017